LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Hardware (http://www.linuxquestions.org/questions/linux-hardware-18/)
-   -   What can be the problem with ATI 8.25.18 drivers? (http://www.linuxquestions.org/questions/linux-hardware-18/what-can-be-the-problem-with-ati-8-25-18-drivers-456226/)

wilku.org 06-19-2006 09:47 AM

What can be the problem with ATI 8.25.18 drivers?
 
Hi,

I have a problem with ATI 8.25.18 Radeon drivers. It's not my first drivers upgrade, but for the first time I have no idea what to do, to make them work properly. There was no problem with installation and the make.sh and make_install.sh files didn't show any errors. However, when I try to run my X server I get this message:

Code:

[wilku@alpha]-[~]# startx
xauth:  creating new authority file /root/.serverauth.5294

X Window System Version 6.9.0

Release Date: 21 December 2005
X Protocol Version 11, Revision 0, Release 6.9
Build Operating System: Linux 2.4.32 i686 [ELF]
Current Operating System: Linux alpha 2.6.16-ck10 #2 Sun May 21 05:05:31 CEST 2006 i686
Build Date: 02 May 2006
        Before reporting problems, check wiki.X.Org
        to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Mon Jun 19 09:36:53 2006
(==) Using config file: "/etc/X11/xorg.conf"
[R200Setup] X version mismatch - detected X.org 7.0.0.0, required X.org 6.8.0.0
(EE) Failed to load module "fglrx" (module requirement mismatch, 0)
(EE) No drivers available.

Fatal server error:
no screens found

Please consult the The X.Org Foundation support
        at wiki.X.Org
 for help.
Please also check the log file at "/var/log/Xorg.0.log" for additional information.

XIO:  fatal IO error 104 (Connection reset by peer) on X server ":0.0"
      after 0 requests (0 known processed) with 0 events remaining.

I've searched for solution to this problem, but I couldn't find anything.

system: Slackware-current
X.org: 6.9.0.0
graphics: Sapphire ATI Radeon 9600 pro
kernel: 2.6.16-ck10

Code:

[wilku@alpha]-[~]# X -version

X Window System Version 6.9.0
Release Date: 21 December 2005
X Protocol Version 11, Revision 0, Release 6.9
Build Operating System: Linux 2.4.32 i686 [ELF]
Current Operating System: Linux alpha 2.6.16-ck10 #2 Sun May 21 05:05:31 CEST 2006 i686
Build Date: 02 May 2006
        Before reporting problems, check wiki.X.Org
        to make sure that you have the latest version.
Module Loader present

Any help is much appreciated.

nadroj 06-20-2006 08:38 PM

could you post 'lsmod' and /etc/X11/xorg.conf. sometimes you have to edit this file, if it doesnt automatically when you ran the installer.

wilku.org 06-21-2006 12:07 AM

I've edited the /etc/X11/xorg.conf file.
Code:

Section "ServerLayout"

        Identifier    "ATI Layout"
        Screen        "Screen 1" 0 0
        InputDevice    "Mouse1" "CorePointer"
        InputDevice    "Keyboard1" "CoreKeyboard"
 
EndSection

Section "Files"

        RgbPath      "/usr/X11R6/lib/X11/rgb"
        FontPath    "/usr/X11R6/lib/X11/fonts/misc/"
        FontPath    "/usr/X11R6/lib/X11/fonts/TTF/"
        FontPath    "/usr/X11R6/lib/X11/fonts/Type1/"
        FontPath    "/usr/X11R6/lib/X11/fonts/CID/"
        FontPath    "/usr/X11R6/lib/X11/fonts/75dpi/"
        FontPath    "/usr/X11R6/lib/X11/fonts/75dpi_pl/"
        FontPath    "/usr/X11R6/lib/X11/fonts/100dpi/"
        FontPath    "/usr/X11R6/lib/X11/fonts/100dpi_pl/"
        FontPath    "/usr/X11R6/lib/X11/fonts/local/"
        FontPath    "/usr/X11R6/lib/X11/fonts/Speedo/"
        FontPath    "/usr/X11R6/lib/X11/fonts/cyrillic/"
 
EndSection

Section "Module"

        Load  "dbe"
        SubSection "extmod"
                Option            "omit xfree86-dga"
        EndSubSection
        Load  "type1"
        Load  "freetype"
        Load  "glx"
        Load  "dri"

EndSection

Section "InputDevice"

        Identifier  "Keyboard1"
        Driver      "kbd"
        Option            "AutoRepeat" "500 30"
        Option            "XkbRules" "xorg"
        Option            "XkbModel" "logiultrax"
        Option            "XkbLayout" "pl"
 
EndSection

Section "InputDevice"

        Identifier  "Mouse1"
        Driver      "mouse"
        Option            "Protocol" "Auto"
        Option            "Device" "/dev/mouse"
        Option            "ZAxisMapping" "4 5 6 7"
 
EndSection

Section "Monitor"

        Identifier  "iiyama"
        HorizSync    24.0 - 60.0
        VertRefresh  55.0 - 75.0
 
EndSection

Section "Device"
 
        Identifier  "ATI Radeon"
        Driver      "radeon"
# Driver      "fglrx"
 
EndSection

Section "Screen"
 
        Identifier "Screen 1"
        Device    "ATI Radeon"
        Monitor    "iiyama"
        DefaultDepth    24
        SubSection "Display"
                Viewport  0 0
                Depth    8
                Modes    "1280x1024" "1024x768" "800x600" "640x480"
        EndSubSection
        SubSection "Display"
                Viewport  0 0
                Depth    16
                Modes    "1280x1024" "1024x768" "800x600" "640x480"
        EndSubSection
        SubSection "Display"
                Viewport  0 0
                Depth    24
                Modes    "1280x1024" "1024x768" "800x600" "640x480"
        EndSubSection
 
EndSection

Currently I use the radeon driver because, when I try the fglrx the mentioned error occurs.

There is no problem to manually modprobe the fglrx module, so I think the module is ok. The problem can be with my X server.
Code:

[root@alpha]-[~]# lsmod
Module                  Size  Used by
ipv6                  242560  14
snd_mpu401              5728  1
snd_mpu401_uart        5952  1 snd_mpu401
parport_pc            26436  0
parport                20096  1 parport_pc
8250_pnp                8384  0
8250                  21844  1 8250_pnp
serial_core            17728  1 8250
pcspkr                  2436  0
amd64_agp              10372  1
emu10k1_gp              2752  0
gameport              11144  2 emu10k1_gp
i2c_viapro              7380  0
i2c_core              17424  1 i2c_viapro
ntfs                  220884  1
ati_agp                6732  0
agpgart                28720  2 amd64_agp,ati_agp
[root@alpha]-[~]# modprobe fglrx
[root@alpha]-[~]# lsmod
Module                  Size  Used by
fglrx                381676  0
ipv6                  242560  14
snd_mpu401              5728  1
snd_mpu401_uart        5952  1 snd_mpu401
parport_pc            26436  0
parport                20096  1 parport_pc
8250_pnp                8384  0
8250                  21844  1 8250_pnp
serial_core            17728  1 8250
pcspkr                  2436  0
amd64_agp              10372  1
emu10k1_gp              2752  0
gameport              11144  2 emu10k1_gp
i2c_viapro              7380  0
i2c_core              17424  1 i2c_viapro
ntfs                  220884  1
ati_agp                6732  0
agpgart                28720  3 fglrx,amd64_agp,ati_agp

The module is ok, the X server version too, so why doesn't it work? :confused:

vbisis 06-21-2006 12:59 AM

Did you uninstall the old driver first? There is an uninstall script ( though it breaks your /etc/profile file - so back it up before running ) somewhere in /usr/X11/ati ( not really sure anymore ). If you didn't - do it and reinstall, worked for me.

Did you use driver installer? It seems to me, as the module is build for the wrong xorg version:
Quote:

[R200Setup] X version mismatch - detected X.org 7.0.0.0, required X.org 6.8.0.0
.

Anyway, I used the driver installer, which works really well, no need to run make.sh and make_install.sh.

I know that the driver installer has support for xorg 6.9, but I'm not sure about the drivers for a special version of X, so guess that might be the problem.


All times are GMT -5. The time now is 01:06 AM.